services:
    coredns:
        command: "-conf /etc/coredns/Corefile"
        container_name: coredns
        image: coredns/coredns:latest
        logging:
            driver: json-file
            options:
                max-size: 50m
                max-file: "3"
        networks:
            traefik:
                ipv4_address: 172.27.1.2
        ports:
            - 192.168.1.15:53:53/tcp
            - 192.168.1.15:53:53/udp
        restart: always
        privileged: true
        volumes:
            - config:/etc/coredns

networks:
    traefik:
        name: traefik
        external: true

volumes:
    config:
        driver: local
        driver_opts:
            type: none
            o: bind
            device: /var/lib/docker/volumes/partition/coredns_config
